/*
 * DV Player plugin for VDR
 *
 * Copyright (C) 2003, 2004 Erich Bachl <erich.bachl@vr-web.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 */

#ifndef _STATUS_H_
#define _STATUS_H_

#include <vdr/status.h>
void dx(int level, const char *fmt, ...);

class cDVStatus : public cStatus
{
public:
  void DVStatus();
protected:
  int  recordings;
  int  replays;
  virtual void Recording(const cDevice *Device, const char *Name, const char *FileName, bool On);
  virtual void Replaying(const cControl *Control, const char *Name, const char *FileName, bool On);
  virtual void ChannelSwitch(const cDevice *Device, int ChannelNumber);
};
#endif // _STATUS_H_
